<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Admin Index</title>
    <link rel="stylesheet" th:href="@{/css/bootstrap.min.css}" />
    <link rel="stylesheet" th:href="@{/css/style.css}" />
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-8">
                <br>
                <br>
                <h1>Products</h1>
                <hr>
                <div class="row col-12">
                    <div th:each="prod : ${products}" class="col-4">
                        <div class="card">
                            <a class="pop">
						  		<img class="card-img-top cover" th:src="@{'/images/' + ${prod.image}}" alt="Card image cap"> 
						  	</a>
                            <div class="card-block">
                                <h5 class="card-title" th:text="${prod.productName}"></h5>
                                <p class="card-text">Price: <span th:text="${prod.price}"></span></p>
                                <div class="row">
                                    <div class="col-12">
                                        <button class="btn btn-danger deleteProduct btnAdmin btn-sm float-left float-right" th:attr="data-id=${prod.pid}">Delete</button>
                                        <button type="button" class="btn btn-warning editProduct btnAdmin btn-sm float-right" th:value="${prod.pid}">Edit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <br>
                    </div>
                </div>
            </div>
            <div class="col-4">
                <br>
                <br>
                <div class="row">
                    <div class="col-12">
                        <a th:href="@{/logout}" class="float-right">Logout</a>
                    </div>
                </div>
                <br>
                <div class="card">
                    <div class="card-header card-success">
                        <h4>Add/Edit Products</h4>
                    </div>
                    <div class="card-block">
                        <input type="hidden" name="pid" id="pid">
                        <div class="form-group">
                            <label for="userName">Product Name</label>
                            <input type="text" class="form-control" name="productName" id="productName" />
                        </div>
                        <div class="form-group">
                            <label for="">Price</label>
                            <input type="number" class="form-control" name="price" id="price" />
                        </div>
                        <form id="upload-file-form">
                            <div class="form-group">
                                <label class="btn btn-secondary btn-block" id="uploadImage">
                                    Choose Image
                                    <input type="file" id="" hidden onchange="getFileData();" name="uploadfile" accept="*" />
                                </label>
                            </div>
                        </form>
                        <p id="imgName"></p>
                        <div class="form-group">
                            <button class="btn btn-primary btn-lg float-right saveProduct" data-toggle="modal" data-target="#myModal">Save</button>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="col-12">
                        <a th:href="@{/admin/view-users}" class="btn btn-info btn-block">View Users</a>
                    </div>
                </div>
            </div>
        </div>
        <!-- The Modal -->
        <div class="modal fade" id="myModal">
            <div class="modal-dialog">
                <div class="modal-content">
                    <!-- Modal Header -->
                    <div class="modal-header">
                        <h4 class="modal-title">Add/Edit Product Successful</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <!-- Modal body -->
                    <div class="modal-body">
                        If the images do not appear right away, just refresh page.
                    </div>
                    <!-- Modal footer -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary reloadPage" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg" data-dismiss="modal">
                <div class="modal-content">
                    <div class="modal-body">
                        <img src="" class="imagepreview" style="width: 100%;">
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="deleteModal">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-body">
                            Cannot delete. Used by Users.
                        </div>
                        <!-- Modal footer -->
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
         </div>
        <script th:src="@{/js/jquery.min.js}"></script>
        <script th:src="@{/js/custom.js}"></script>
        <script src="https://npmcdn.com/tether@1.2.4/dist/js/tether.min.js"></script>
        <script th:src="@{/js/bootstrap.min.js}"></script>
</body>

</html>